> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Profile Oauth



## OpenAPI

````yaml /api-reference/openapi.fr.json post /flow/mcp/profiles/{profile_id}/test-oauth
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /flow/mcp/profiles/{profile_id}/test-oauth:
    post:
      tags:
        - flow-mcp
      summary: Test Profile Oauth
      operationId: test_profile_oauth_flow_mcp_profiles__profile_id__test_oauth_post
      parameters:
        - name: profile_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Profile Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowMcpTestOAuthResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    FlowMcpTestOAuthResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        metadata_ok:
          type: boolean
          title: Metadata Ok
        relay_online:
          type: boolean
          title: Relay Online
        resource:
          type: string
          title: Resource
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - ok
        - metadata_ok
        - relay_online
        - resource
      title: FlowMcpTestOAuthResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/internal/v1/token

````